Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class SignatureSpi

    java.lang.Object
      |
      +--java.security.SignatureSpi

Direct Known Subclasses:
  Signature

public abstract synchronized class SignatureSpi
extends Object

Field Summary
`protected SecureRandom` | `appRandom`

Constructor Summary
`SignatureSpi()`

Method Summary
`Object` | `clone()`
`protected abstract Object` | `engineGetParameter(String)`
`protected abstract void` | `engineInitSign(PrivateKey)`
`protected void` | `engineInitSign(PrivateKey, SecureRandom)`
`protected abstract void` | `engineInitVerify(PublicKey)`
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec)`
`protected abstract void` | `engineSetParameter(String, Object)`
`protected abstract byte[]` | `engineSign()`
`protected int` | `engineSign(byte[], int, int)`
`protected abstract void` | `engineUpdate(byte)`
`protected abstract void` | `engineUpdate(byte[], int, int)`
`protected abstract boolean` | `engineVerify(byte[])`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appRandom

    protected SecureRandom appRandom

Constructor Detail

### SignatureSpi

    public SignatureSpi()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    clone in class Object

### engineGetParameter

    protected abstract Object engineGetParameter(String)
                                          throws InvalidParameterException

### engineInitSign

    protected abstract void engineInitSign(PrivateKey)
                                    throws InvalidKeyException

### engineInitSign

    protected void engineInitSign(PrivateKey,
                                  SecureRandom)
                           throws InvalidKeyException

### engineInitVerify

    protected abstract void engineInitVerify(PublicKey)
                                      throws InvalidKeyException

### engineSetParameter

    protected abstract void engineSetParameter(String,
                                               Object)
                                        throws InvalidParameterException

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec)
                               throws InvalidAlgorithmParameterException

### engineSign

    protected abstract byte[] engineSign()
                                  throws SignatureException

### engineSign

    protected int engineSign(byte[],
                             int,
                             int)
                      throws SignatureException

### engineUpdate

    protected abstract void engineUpdate(byte)
                                  throws SignatureException

### engineUpdate

    protected abstract void engineUpdate(byte[],
                                         int,
                                         int)
                                  throws SignatureException

### engineVerify

    protected abstract boolean engineVerify(byte[])
                                     throws SignatureException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.